=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2011-08-07 20:48:33 +0000
+++ client/drizzleslap.cc	2011-08-12 16:41:20 +0000
@@ -1259,7 +1259,6 @@
 process_options(void)
 {
   struct stat sbuf;
-  uint32_t sql_type_count= 0;
   ssize_t bytes_read= 0;
   
   if (user.empty())
@@ -1343,6 +1342,7 @@
     option_cleanup(str);
   }
 
+  uint32_t sql_type_count= 0;
   if (not num_blob_cols_opt.empty())
   {
     OptionString *str;

=== removed file 'drizzled/ctype.cc'
--- drizzled/ctype.cc	2011-04-20 22:18:30 +0000
+++ drizzled/ctype.cc	1970-01-01 00:00:00 +0000
@@ -1,61 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
-
-#include <config.h>
-#include <drizzled/internal/m_string.h>
-#include <drizzled/charset.h>
-
-namespace drizzled
-{
-
-/*
-
-  This files implements routines which parse XML based
-  character set and collation description files.
-
-  Unicode collations are encoded according to
-
-    Unicode Technical Standard #35
-    Locale Data Markup Language (LDML)
-    http://www.unicode.org/reports/tr35/
-
-  and converted into ICU string according to
-
-    Collation Customization
-    http://oss.software.ibm.com/icu/userguide/Collate_Customization.html
-
-*/
-
-
-#define MY_CS_CSDESCR_SIZE	64
-#define MY_CS_TAILORING_SIZE	1024
-
-typedef struct my_cs_file_info
-{
-  char   csname[MY_CS_NAME_SIZE];
-  char   name[MY_CS_NAME_SIZE];
-  unsigned char  ctype[MY_CS_CTYPE_TABLE_SIZE];
-  unsigned char  to_lower[MY_CS_TO_LOWER_TABLE_SIZE];
-  unsigned char  to_upper[MY_CS_TO_UPPER_TABLE_SIZE];
-  unsigned char  sort_order[MY_CS_SORT_ORDER_TABLE_SIZE];
-  uint16_t tab_to_uni[MY_CS_TO_UNI_TABLE_SIZE];
-  char   comment[MY_CS_CSDESCR_SIZE];
-  char   tailoring[MY_CS_TAILORING_SIZE];
-  size_t tailoring_length;
-  charset_info_st cs;
-  int (*add_collation)(charset_info_st *cs);
-} MY_CHARSET_LOADER;
-
-} /* namespace drizzled */

=== modified file 'drizzled/dtcollation.cc'
--- drizzled/dtcollation.cc	2011-04-20 22:18:30 +0000
+++ drizzled/dtcollation.cc	2011-08-12 16:41:20 +0000
@@ -27,8 +27,7 @@
 #include <drizzled/session.h>
 #include <drizzled/charset.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
 DTCollation::DTCollation()
 {

=== modified file 'drizzled/dtcollation.h'
--- drizzled/dtcollation.h	2011-03-28 21:29:18 +0000
+++ drizzled/dtcollation.h	2011-08-12 16:41:20 +0000
@@ -27,16 +27,14 @@
 class DRIZZLED_API DTCollation
 {
 public:
-  const charset_info_st *collation;
-  enum Derivation derivation;
+  const charset_info_st* collation;
+  Derivation derivation;
 
   DRIZZLED_LOCAL DTCollation();
-  DRIZZLED_LOCAL DTCollation(const charset_info_st * const collation_arg,
-                             Derivation derivation_arg);
+  DRIZZLED_LOCAL DTCollation(const charset_info_st*, Derivation);
   void set(DTCollation &dt);
-  void set(const charset_info_st * const collation_arg,
-           Derivation derivation_arg);
-  void set(const charset_info_st * const collation_arg);
+  void set(const charset_info_st*, Derivation);
+  void set(const charset_info_st*);
   void set(Derivation derivation_arg);
   bool set(DTCollation &dt1, DTCollation &dt2, uint32_t flags= 0);
 

=== modified file 'drizzled/dtoa.cc'
--- drizzled/dtoa.cc	2011-06-16 20:59:51 +0000
+++ drizzled/dtoa.cc	2011-08-12 16:41:20 +0000
@@ -600,7 +600,6 @@
 {
   union {
     ULong *x;              /* points right after this Bigint object */
-    struct Bigint *next;   /* to maintain free lists */
   } p;
   int k;                   /* 2^k = maxwds */
   int maxwds;              /* maximum length in 32-bit words */

=== modified file 'drizzled/execute/context.h'
--- drizzled/execute/context.h	2011-05-20 18:08:37 +0000
+++ drizzled/execute/context.h	2011-08-12 16:41:20 +0000
@@ -64,7 +64,7 @@
     rc= EE_OK;
   }
 
-  bool end()
+  bool end() const
   {
     return _end;
   }

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2011-08-04 08:13:04 +0000
+++ drizzled/include.am	2011-08-12 16:41:20 +0000
@@ -922,7 +922,6 @@
 				drizzled/ctype-uca.cc \
 				drizzled/ctype-uni.cc \
 				drizzled/ctype-utf8.cc \
-				drizzled/ctype.cc \
 				drizzled/dtoa.cc \
 				drizzled/my_strtoll10.cc
 

=== modified file 'drizzled/module/vertex.h'
--- drizzled/module/vertex.h	2011-03-29 10:48:07 +0000
+++ drizzled/module/vertex.h	2011-08-12 16:41:20 +0000
@@ -33,7 +33,7 @@
 
 namespace boost
 {
-  template <> struct property_kind<drizzled::vertex_properties_t>
+  template<> struct property_kind<drizzled::vertex_properties_t>
   {
     typedef vertex_property_tag type;
   };

=== modified file 'drizzled/module/vertex_handle.h'
--- drizzled/module/vertex_handle.h	2011-03-29 10:48:07 +0000
+++ drizzled/module/vertex_handle.h	2011-08-12 16:41:20 +0000
@@ -24,26 +24,19 @@
 namespace drizzled {
 namespace module {
 
-class VertexHandle
+class VertexHandle : boost::noncopyable
 {
-
-private:
-  VertexDesc vertex_desc_;
-
-  VertexHandle();
-  VertexHandle(const VertexHandle&);
-  VertexHandle& operator=(const VertexHandle&);
-
 public:
   explicit VertexHandle(VertexDesc vertex_desc) :
     vertex_desc_(vertex_desc)
   { }
 
-  VertexDesc getVertexDesc()
+  VertexDesc getVertexDesc() const
   {
     return vertex_desc_;
   }
-
+private:
+  VertexDesc vertex_desc_;
 };
 
 } /* namespace module */

=== modified file 'drizzled/name_resolution_context_state.cc'
--- drizzled/name_resolution_context_state.cc	2011-02-17 00:14:13 +0000
+++ drizzled/name_resolution_context_state.cc	2011-08-12 16:41:20 +0000
@@ -23,12 +23,9 @@
 #include <drizzled/name_resolution_context_state.h>
 #include <drizzled/table_list.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
-void
-Name_resolution_context_state::save_state(Name_resolution_context *context,
-                                          TableList *table_list)
+void Name_resolution_context_state::save_state(Name_resolution_context *context, TableList *table_list)
 {
   save_table_list=                  context->table_list;
   save_first_name_resolution_table= context->first_name_resolution_table;
@@ -37,9 +34,7 @@
   save_next_name_resolution_table=  table_list->next_name_resolution_table;
 }
 
-void
-Name_resolution_context_state::restore_state(Name_resolution_context *context,
-                                             TableList *table_list)
+void Name_resolution_context_state::restore_state(Name_resolution_context *context, TableList *table_list) const
 {
   table_list->next_local=                save_next_local;
   table_list->next_name_resolution_table= save_next_name_resolution_table;
@@ -48,7 +43,6 @@
   context->resolve_in_select_list=       save_resolve_in_select_list;
 }
 
-
 TableList *Name_resolution_context_state::get_first_name_resolution_table()
 {
   return save_first_name_resolution_table;

=== modified file 'drizzled/name_resolution_context_state.h'
--- drizzled/name_resolution_context_state.h	2011-06-23 10:21:19 +0000
+++ drizzled/name_resolution_context_state.h	2011-08-12 16:41:20 +0000
@@ -36,10 +36,10 @@
 
 public:
   /* Save the state of a name resolution context. */
-  void save_state(Name_resolution_context *context, TableList *table_list);
+  void save_state(Name_resolution_context*, TableList*);
 
   /* Restore a name resolution context from saved state. */
-  void restore_state(Name_resolution_context *context, TableList *table_list);
+  void restore_state(Name_resolution_context*, TableList*) const;
 
   TableList *get_first_name_resolution_table();
 

=== modified file 'drizzled/named_savepoint.h'
--- drizzled/named_savepoint.h	2011-07-05 12:15:12 +0000
+++ drizzled/named_savepoint.h	2011-08-12 16:41:20 +0000
@@ -64,10 +64,6 @@
   {
     return name;
   }
-  const std::string &getName()
-  {
-    return name;
-  }
   message::Transaction *getTransactionMessage() const
   {
     return transaction_message;
@@ -89,7 +85,6 @@
   std::string name;
   TransactionContext::ResourceContexts resource_contexts;
   message::Transaction *transaction_message;
-  NamedSavepoint();
 };
 
 } /* namespace drizzled */

=== modified file 'drizzled/optimizer/key_field.h'
--- drizzled/optimizer/key_field.h	2011-03-14 05:40:28 +0000
+++ drizzled/optimizer/key_field.h	2011-08-12 16:41:20 +0000
@@ -20,13 +20,10 @@
 #pragma once
 
 #include <drizzled/sql_select.h>
-
 #include <vector>
 
-namespace drizzled
-{
-namespace optimizer
-{
+namespace drizzled {
+namespace optimizer {
 
 /**
  * Class used when finding key fields
@@ -83,7 +80,7 @@
     val= in_val;
   }
 
-  uint32_t getLevel()
+  uint32_t getLevel() const
   {
     return level;
   }
@@ -93,7 +90,7 @@
     level= in_level;
   }
 
-  uint32_t getOptimizeFlags()
+  uint32_t getOptimizeFlags() const
   {
     return optimize;
   }

=== modified file 'drizzled/plugin/storage_engine.cc'
--- drizzled/plugin/storage_engine.cc	2011-07-04 17:28:54 +0000
+++ drizzled/plugin/storage_engine.cc	2011-08-12 16:41:20 +0000
@@ -287,9 +287,8 @@
   }
 
   message::Table message;
-  EngineVector::iterator iter=
-    std::find_if(g_engines.begin(), g_engines.end(),
-                 StorageEngineGetTableDefinition(session, identifier, message, error));
+  EngineVector::iterator iter= std::find_if(g_engines.begin(), g_engines.end(), 
+    StorageEngineGetTableDefinition(session, identifier, message, error));
 
   if (iter == g_engines.end())
   {

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-08-08 16:24:13 +0000
+++ drizzled/session.cc	2011-08-12 16:41:20 +0000
@@ -381,7 +381,7 @@
   }
 }
 
-void Session::get_xid(DrizzleXid *xid)
+void Session::get_xid(DrizzleXid *xid) const
 {
   *xid = *(DrizzleXid *) &transaction.xid_state.xid;
 }
@@ -1954,7 +1954,7 @@
   return variables.storage_engine ? variables.storage_engine : global_system_variables.storage_engine;
 }
 
-enum_tx_isolation Session::getTxIsolation()
+enum_tx_isolation Session::getTxIsolation() const
 {
   return (enum_tx_isolation)variables.tx_isolation;
 }

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2011-08-08 15:51:23 +0000
+++ drizzled/session.h	2011-08-12 16:41:20 +0000
@@ -199,7 +199,7 @@
   }
 
   drizzle_system_variables& variables; /**< Mutable local variables local to the session */
-  enum_tx_isolation getTxIsolation();
+  enum_tx_isolation getTxIsolation() const;
   system_status_var& status_var;
 
   THR_LOCK_INFO lock_info; /**< Locking information for this session */
@@ -1107,7 +1107,7 @@
     pointer to plugin::StorageEngine
   */
   plugin::StorageEngine *getDefaultStorageEngine();
-  void get_xid(DrizzleXid *xid); // Innodb only
+  void get_xid(DrizzleXid *xid) const; // Innodb only
 
   table::Singular& getInstanceTable();
   table::Singular& getInstanceTable(std::list<CreateField>&);

=== modified file 'drizzled/sql_list.h'
--- drizzled/sql_list.h	2011-08-07 22:41:28 +0000
+++ drizzled/sql_list.h	2011-08-12 16:41:20 +0000
@@ -234,7 +234,6 @@
 
   bool check_list(const char *name)
   {
-    base_list *list= this;
     list_node *node= first;
     uint32_t cnt= 0;
 

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2011-08-04 08:13:04 +0000
+++ drizzled/table.h	2011-08-12 16:41:20 +0000
@@ -420,8 +420,8 @@
 
 
   /* See if this can be blown away */
-  inline uint32_t getDBStat () { return db_stat; }
-  inline uint32_t setDBStat () { return db_stat; }
+  inline uint32_t getDBStat () const { return db_stat; }
+
   /**
    * Create Item_field for each column in the table.
    *
@@ -518,7 +518,7 @@
   }
 
   /* Is table open or should be treated as such by name-locking? */
-  inline bool is_name_opened()
+  bool is_name_opened() const
   {
     return db_stat || open_placeholder;
   }

=== modified file 'plugin/myisam/keycache.h'
--- plugin/myisam/keycache.h	2011-03-14 05:40:28 +0000
+++ plugin/myisam/keycache.h	2011-08-12 16:41:20 +0000
@@ -39,12 +39,12 @@
 struct st_hash_link;
 typedef struct st_hash_link HASH_LINK;
 
-namespace drizzled
-{
-namespace internal
-{
-typedef uint64_t my_off_t;
-struct st_my_thread_var;
+namespace drizzled {
+
+namespace internal 
+{
+  typedef uint64_t my_off_t;
+  struct st_my_thread_var;
 }
 
 /* info about requests in a waiting queue */

